LXC-LS(1)

NAME
lxc-ls - list the containers existing on the system

SYNOPSIS
lxc-ls [ -1 ] [ -P lxcpath ] [ --active ] [ --frozen ] [ --running ] [ --stopped ] [ -f ] [ -F format ] [ -g groups ] [ --nesting ] [ filter ] [ --version ]

DESCRIPTION

lxc-ls list the containers existing on the system.

OPTIONS

[-1]
    Show one entry per line. (default when /dev/stdout isn't a tty)

[-P, --lxcpath]
    Use an alternate container path. The default is /var/lib/lxc.

[--active]
    List only active containers (same as --frozen --running).

[--frozen]
    List only frozen containers.

[--running]
    List only running containers.

[--stopped]
    List only stopped containers.

[-f, --fancy]
    Use a fancy, column-based output.

[-F, --fancy-format format]
    Comma separated list of column to show in the fancy output. The list of accepted and default fields is listed in --help.

[-g, --groups groups]
    Comma separated list of groups the container must have to be displayed. The parameter may be passed multiple times.

[--nesting]
    Show nested containers.

[filter]
    The filter passed to lxc-ls will be applied to the container name. The format is a regular expression.

[--version]
    Show the version number.

EXAMPLES

lxc-ls --fancy
    list all the containers, listing one per line along with its name, state, ipv4 and ipv6 addresses.

lxc-ls --active -1
    list active containers and display the list in one column.

SEE ALSO

lxc(7), lxc-create(1), lxc-destroy(1), lxc-start(1), lxc-stop(1), lxc-execute(1), lxc-console(1), lxc-monitor(1), lxc-wait(1), lxc-cgroup(1), lxc-ls(1), lxc-info(1), lxc-freeze(1), lxc-unfreeze(1), lxc-attach(1), lxc.conf(5)

AUTHOR

Stéphane Graber <stgraber@ubuntu.com>